import java.net.*;
import java.io.*;
import java.awt.*;
import java.awt.event.*;

class IHM extends Frame implements ActionListener
{
    Client leClient;
	Button boutGo;
	TextField messDuServeur;

	Checkbox[] tab = new Checkbox[49];

	public IHM( Client c)
	{
		leClient = c;
		setTitle("Loto APSIO v1.0");

		Panel panGrille = new Panel(new GridLayout(10,5,3,3) );
			int k=0;
			for (int i=0 ; i<10 ; i++)
				for (int j=0 ; j<5 ; j++)
					if (k<49)
					{
						tab[k] = new Checkbox( Integer.toString(j*10+i+1) );					
						panGrille.add( tab[k++] );
					}
		add("North", panGrille);

		Panel panMessServ = new Panel();
			messDuServeur = new TextField( 40 );
			messDuServeur.setEnabled( false);
			panMessServ.add( messDuServeur );
		add("Center", panMessServ);

		Panel panGo = new Panel();
			boutGo = new Button("Validation du Ticket");
			panGo.add( boutGo);
			boutGo.addActionListener( (ActionListener)this);
		add("South", panGo);

		addWindowListener( 
		  new WindowAdapter()
		  {
			public void windowClosing( WindowEvent e)
			{
			  System.exit(0);
			}
		  }
		);

		pack();
		show();
	}

	public void actionPerformed( ActionEvent e)
	{
	  if (e.getSource() == boutGo)
	  {
		System.out.println("envoi des 6 numeros du ticket");
		int nbNum=0;
		int[] tabNum = new int[49];
		for (int k=0 ; k<49 ; k++)
			if ( tab[k].getState() )
			{
				tabNum[nbNum++] = (k%5)*10 + k/5+1 ;
				tab[k].setBackground( Color.yellow);
			}
		if (nbNum == 6)
		{
			for (int k=0 ; k<49 ; k++)
				tab[k].setEnabled(false);
			boutGo.setEnabled( false);
			for (int k=0 ; k<nbNum ; k++)
				leClient.outCom.println( tabNum[k] );
		}
		else
		{
			messDuServeur.setText( "REFUS : cocher exactement 6 numeros !!" );
			for (int k=0 ; k<49 ; k++)
				if ( tab[k].getState() )
					tab[k].setBackground( Color.white);
		}
	  }
	}
}
	