import java.net.*;
import java.io.*;
import java.util.*;

class Service extends Thread
{
	int numClient; 
	Socket sockCom; 
	Socket sockDif; 
	Serveur leServeur; 

	PrintStream outDif ; 

	Service( int indice, Socket sock1, Socket sock2, Serveur serv)
	{
		numClient = indice+1;
		sockCom = sock1; sockDif = sock2;
		leServeur = serv;
	}
	
	public void run()
	{	
		System.out.println("...demarrage du thread Service");
		try
		{
			BufferedReader inCom = new BufferedReader( new InputStreamReader(
			                           sockCom.getInputStream() ));
			PrintStream outCom = new PrintStream( sockCom.getOutputStream() );
			
			outDif = new PrintStream( sockDif.getOutputStream() );

			Ticket t = new Ticket( numClient);
			System.out.println( "...attente des numeros du client "+numClient);
			for (int i=0 ; i<6 ; i++)
				t.setNumero( i, Integer.parseInt( inCom.readLine() ));
			leServeur.ajoutTicket( t );
			
		}
		catch (Exception e)
		{
			System.out.println("ERREUR dans Service.run");
		}
	} 
	
	public void envoiDif( String s)
	{
		outDif.println( s);
	}
}
	